> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account balances



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json get /exchange/accounts
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /exchange/accounts:
    get:
      tags:
        - Exchange
      summary: Get account balances
      operationId: ExchangeController_getAccounts
      parameters:
        - name: exchanges
          required: false
          in: query
          schema:
            anyOf:
              - type: string
                enum:
                  - aster
                  - binance
                  - bybit
                  - extended
                  - gate
                  - hyperliquid
                  - lighter
                  - mexc
                  - ondo
                  - robinhood
                description: Supported perpetual exchange
              - type: array
                items:
                  type: string
                  enum:
                    - aster
                    - binance
                    - bybit
                    - extended
                    - gate
                    - hyperliquid
                    - lighter
                    - mexc
                    - ondo
                    - robinhood
                  description: Supported perpetual exchange
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetAccountDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    GetAccountDto:
      type: object
      properties:
        availableMargin:
          type: string
          description: Free margin available for new positions.
          example: '800.00'
        exchange:
          type: string
          enum:
            - aster
            - binance
            - bybit
            - extended
            - gate
            - hyperliquid
            - lighter
            - mexc
            - ondo
            - robinhood
          description: Perpetual exchange
        marginInUse:
          type: string
          description: Total initial margin locked across positions and open orders.
          example: '200.00'
        token:
          type: string
          description: >-
            Quote/collateral token denominating the balances (e.g. "USDC",
            "USDH").
          example: USDC
        totalBalance:
          type: string
          description: Total account equity, including unrealized PnL.
          example: '1000.00'
        type:
          type: string
          description: >-
            Account type within the exchange. Defaults to "perps"; Hyperliquid
            returns one account per supported dex (e.g. "perps", "xyz").
          example: perps
        withdrawable:
          type: string
          description: Amount available for withdrawal.
          example: '750.00'
      required:
        - availableMargin
        - exchange
        - marginInUse
        - token
        - totalBalance
        - type
        - withdrawable
      title: Account
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.